package com.cordial.storage.preferences

internal enum class PreferenceKeys(val key: String) {
    WAS_LAUNCHED_BEFORE("WAS_LAUNCHED_BEFORE"),
    PRIMARY_KEY("PRIMARY_KEY"),
    DEVICE_ID("DEVICE_ID"),
    ACCOUNT_KEY("ACCOUNT_KEY"),
    CHANNEL_KEY("CHANNEL_KEY"),
    BASE_URL("BASE_URL"),
    PREVIOUS_PRIMARY_KEY("PREVIOUS_PRIMARY_KEY"),
    FIREBASE_TOKEN("FIREBASE_TOKEN"),
    MC_ID("MC_ID"),
    MC_TAP_TIME("MC_TAP_TIME"),
    PREVIOUS_MC_ID("PREVIOUS_MC_ID"),
    PREVIOUS_MC_TAP_TIME("PREVIOUS_MC_TAP_TIME"),
    QTY("QTY"),
    LONGITUDE("LONGITUDE"),
    LATITUDE("LATITUDE"),
    JWT_TOKEN("JWT_TOKEN"),
    NOTIFICATION_STATUS("NOTIFICATION_STATUS"),
    PROPERTIES("PROPERTIES"),
    IS_CACHED_EVENTS_EMPTY("IS_CACHED_EVENTS_EMPTY"),
    IS_LOGGED_IN("IS_LOGGED_IN"),
    IS_CONTACT_SET("IS_CONTACT_SET"),
    LAST_SET_CONTACT_TIMESTAMP("LAST_SET_CONTACT_TIMESTAMP"),
    TIMESTAMPS_URL("TIMESTAMPS_URL"),
    TIMESTAMPS_URL_EXPIRE_AT("TIMESTAMPS_URL_EXPIRE_AT"),
    LAST_IN_APP_TIMESTAMP("LAST_IN_APP_TIMESTAMP"),
    IS_NOTIFICATION_PERMISSION_EDUCATIONAL_UI_SHOWED("IS_NOTIFICATION_PERMISSION_EDUCATIONAL_UI_SHOWED"),
    NOTIFICATION_PERMISSION_DENIED_COUNT("NOTIFICATION_PERMISSION_DENIED_COUNT"),
    DEFAULT("DEFAULT");

    companion object {
        fun findKey(key: String): PreferenceKeys {
            return values().firstOrNull { it.key == key } ?: DEFAULT
        }
    }
}